<?php
	
// On inclut tous les scripts nécessaires
require_once 'application/class/class_panier.php';
require_once 'application/config/boot_init.php';
// contexte = validation
// contexte = suivi
// autodeclaration => inscription


if(getValue('onChange') == '1')
{
    echo "if(document.getElementById('MdPMessagerie').value!='' && document.getElementById('LoginMessagerie').value !=''){
            document.getElementById('buttonTestMessagerie').disabled = false;
            document.getElementById('buttonTestMessagerie').style.color = '';
          }else
          {
            document.getElementById('buttonTestMessagerie').disabled = true;
            document.getElementById('buttonTestMessagerie').style.color = 'grey';

          }";
}else
{

    $error = 0;
    
    $LoginMessagerie = getValue('LoginMessagerie');
    $MdPMessagerie = getValue('MdPMessagerie');
    
    if(getValue('contexte') != 'autodeclaration')
    {
        $Mail = Utilisateur::getInfoForUser($_SESSION['Session_Login'])['EMAIL'];
    }else
    {
        $Mail = getValue('email');
    }

    if (!ControleSaisie::checkMail($Mail)) {
        Affichage::messageJS(trad('La syntaxe de votre adresse mail est incorrecte, veuillez la vérifier.'));
        $error++;
    }
    
    
    if($Mail!='' && $Mail != null && $error==0)
    {
        $res= CollabManage::callWSDLForTestSMTP($LoginMessagerie, $MdPMessagerie, $Mail);
     
        if($res['Retour'] == 'O')
        {
            Affichage::messageJS(trad('Un mail de test vous a été envoyé. Si vous ne le recevez pas, cela indique que votre paramétrage est incorrect'));
        }
    }
    
}
